Task Types
GET
/v1/utils/task-types
const url = 'https://example.com/v1/utils/task-types';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/utils/task-types \ --header 'Authorization: Bearer <token>'The answer types a task can have (classify, extract, write), starting points for write tasks, and the types an extracted field can have.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
TaskTypes
object
types
required
Types
Classify, then extract, then write.
Array<object>
TypeInfoobject
id
required
Id
string
family
required
Family
string
label
required
Label
string
description
required
Description
string
column
required
Column
The result column a new task of this type gets.
string
model
required
Model
The model a new task of this type gets.
string
llm_only
required
Llm Only
boolean
presets
required
Presets
Starting points for write tasks.
Array<object>
PresetA starting point for a write task: its prompt, to finish by adding the row’s columns.
object
id
required
Id
string
label
required
Label
string
column
required
Column
string
template
required
Template
string
field_types
required
Field Types
Array<object>
FieldTypeInfoobject
id
required
Id
string
label
required
Label
string
languages
required
Languages
Suggested target languages for translating.
Array<string>
Example
{ "types": [ { "id": "yes_no", "family": "classify" } ], "presets": [ { "id": "summarize" } ], "field_types": [ { "id": "text" } ]}